using System;
using System.Windows.Forms;
using StuMgmLib.MyNameSpace;

namespace StuMgmClient
{
    public partial class StudentForm : Form
    {
        public StudentForm(short job_id, int token)
        {
            if (SystemCtrl.RefreshUserCourseInfo(job_id, token) != ErrCode.Success)
                throw new Exception("获取用户信息异常，请重新启动");
            InitializeComponent();
            studentTree.Job_id = job_id;
            studentTree.Token = token;
        }
        

        void GetStudentData()
        {

        }

        private void btnPersonalData_Click(object sender, EventArgs e)
        {

        }

    }
}
